Bug 52084 - create with --absolute-names, extract without -> hard links don't work
create with --absolute-names, extract without -> hard links don't work
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: tar (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-20 09:05 EDT by Jonathan Kamens
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-20 09:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix the bug (660 bytes, patch)
2001-08-20 09:05 EDT, Jonathan Kamens
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2001-08-20 09:05:27 EDT
If you create a tar archive with --absolute-names and then extract it
without that option, any hard links in the tar archive won't be created
properly.  I'll attach a patch.
Comment 1 Jonathan Kamens 2001-08-20 09:05:51 EDT
Created attachment 28434 [details]
fix the bug
Comment 2 Bernhard Rosenkraenzer 2001-08-27 09:13:31 EDT
Thanks, added in 1.13.19-8
Comment 3 Bernhard Rosenkraenzer 2001-08-27 09:14:00 EDT
Typo. -6 of course.

Note You need to log in before you can comment on or make changes to this bug.